
{---------------------------------------------------------------------------}
{ BitMachine Program: Count8  (3 bit counter)                               }
{ DATE:         04/30/95                                                    }
{ PROGRAMMER:   Terry King                                                  }
{ WHAT IT DOES: This is just a program to start out with. You add YOUR      }
{               program statements to do what YOU want it to.               }
{                                                                           }
{---------------------------------------------------------------------------}
PROGRAM  Try     ;

{---------------------------------------------------------------------------}
{               U S E S : WHAT OTHER PASCAL "UNITS" YOU WILL USE            }
{                                                                           }
{ NOTE: Other sets of tools or procedures that other epople have created    }
{       that you want to re-use here.                                       }
{---------------------------------------------------------------------------}

USES
  ParPort, Crt;

{---------------------------------------------------------------------------}
{               C O N S T A N T S: FOR YOUR DESIGN                          }
{                                                                           }
{ NOTE: Here, you have to tell what is hooked up to the Digital In and      }
{       Digital Out Bits! Also other 'constants' for your design.           }
{---------------------------------------------------------------------------}
CONST

{-------( Digital IN Bits: What they are being used for:  )--- -------------}

Bit0        =  0;   {<-- Change the names of the bits at the beginning of the }
Bit1        =  1;   {    line to ones that describe what you're using them for}
Bit2        =  2;   {    like 'DoorSwitch' or 'MyButton' or whatever.         }
Bit3        =  3;
Bit4        =  4;
Bit5        =  5;
Bit6        =  6;
Bit7        =  7;

{-------( Digital OUT Bits: What they are being used for:  )------  }

Out0        = 0;    {<-- Change the names of the bits at the beginning of the }
Out1        = 1;    {    line to ones that describe what you're using them for}
Out2        = 2;    {    like 'MyLight' or 'MotorOn' or whatever.             }

{---------------------------------------------------------------------------}
{               V A R I A B L E S: FOR YOUR MACHINE DESIGN                  }
{                                                                           }
{ NOTE: Here, you have to tell what variables you will use to hold          }
{       temporary values for things. You can add lots more of these here.   }
{---------------------------------------------------------------------------}
VAR {MainLine}
    tbuff      : string;     { Strings are groups of characters        }
    n          : integer;    { Integers are whole numbers up to 32,767 }

(*Ŀ
   MAIN PROGRAM:                                                           
  *)
BEGIN

  Writeln('3 Bit Counter: Drives Output bits 0,1,2 ');

  n := 0;

REPEAT

  BEGIN
    WriteDO(n);
    INC(n);
    IF (N > 7) THEN N := 0;
    Delay(500);
  END;

UNTIL KeyPressed;

  {---------( END OF  PROGRAM )------------------------------------}


END.{Main Program}

