{---------------(MAIN PROGRAM )------------------------------------------}

{---------------------------------------------------------------------------}
{               C O N S T A N T S: FOR A SPECIFIC MACHINE DESIGN!           }
{                                                                           }
{ NOTE: Here, you have to tell what is hooked up to the Digital In and      }
{       Digital Out Bits!                                                   }
{                                                                           }
{  2.00  10/15/97 Terry King   ...Update to new specs                       }
{                                                                           }
{                                                                           }
{---------------------------------------------------------------------------}
USES Dos, Crt, Parport, Hexutil, VCA;

CONST

{-------( Digital IN Bits: What they are being used for:  )-----------------}

YesButton   = 0;
NoButton    = 1;


{-------( Digital OUT Bits: What they are being iused for:  )---------------}

RedLight    = 0;
GreenLight  = 1;

{---------------------------------------------------------------------------}
{               V A R I A B L E S: FOR A SPECIFIC MACHINE DESIGN!           }
{                                                                           }
{ NOTE: Here, you have to tell what variables you will use to hold          }
{       temporary values for things.                                        }
{                                                                           }
{                                                                           }
{---------------------------------------------------------------------------}
VAR {MainLine}
    tbuff : string;
    n,e,v      : integer;
    WasOff     : boolean;
    BitNumber  : INBITPOS;
    Done       : Boolean;
    Tval       : String;

BEGIN

  Done := FALSE;
  DioReset;
  ClrScr;
{---------( START OF CAMPERS PROGRAM )------------------------------------}

  writeln('Bit&Bytes Talking Digital Input.   Version1.10  10/20/97 ');
  Writeln('     Needs Speaker, Input cable etc.');
  writeln('    <ESC> to quit  (Takes several seconds) ');
(*say('OK, now I''ll look at your Digital Input. Which bit should I look at?');*)
  WasOff := TRUE;
  Write('ENTER BIT NUMBER>>');
  Readln(BitNumber);
  Str(BitNumber, tval);
(*saylow('Oh. By the way. If you wanna quit, just hit escape.');
  say('OK. Let''s try out bit number ' + tval + '. Go ahead.');*)
  writeln('Testing Bit number ' + tval );
  repeat
    BEGIN
      CheckSensors;
      IF ButtonPushed(BitNumber)
        THEN
          BEGIN
            IF WasOff THEN
              BEGIN
                Writeln('It''s on.');
                say('It''s on.');
                WasOff := FALSE;
              END;
          END
        ELSE
          BEGIN
            IF NOT WasOff THEN
            BEGIN
              Writeln('Now it''s off.');
              saylow('Now it''s off.');
              VoicePitch(NORMAL);
              WasOff := TRUE;
            END;
          END;
    END;
    if keypressed then if ( readkey = chr(27) ) then Done := TRUE;

  UNTIL Done;

  saylow('So, did it work? ');

  {---------( END OF CAMPERS PROGRAM )------------------------------------}
END.
